Loading...
Searching...
No Matches
casacore::ArrayColumnDescBase Class Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <ArrColDesc.h>`

## Public Member Functions

| ArrayColumnDescBase (const String &name, const String &comment, const String &dataManagerType, const String &dataManagerGroup, DataType, const String &dataTypeId, Int options, uInt ndim, const IPosition &shape)
| Construct with given parameters.
| ArrayColumnDescBase (const ArrayColumnDescBase &)
| Copy constructor (copy semantics);.
| ~ArrayColumnDescBase ()
ArrayColumnDescBase & | operator= (const ArrayColumnDescBase &)
| Assignment (copy semantics);.
String | className () const
| Get the name of this class.
virtual PlainColumn * | makeColumn (ColumnSet *) const
| Create a Column object out of this.
void | show (ostream &os) const
| Show the column.
Public Member Functions inherited from casacore::BaseColumnDesc
| BaseColumnDesc (const String &name, const String &comment, const String &dataManagerType, const String &dataManagerGroup, DataType, const String &dataTypeId, Int options, uInt ndim, const IPosition &shape, Bool isScalar, Bool isArray, Bool isTable)
| Construct the column base object.
| BaseColumnDesc (const BaseColumnDesc &)
| Copy constructor (copy semantics).
virtual | ~BaseColumnDesc ()
TableRecord & | rwKeywordSet ()
| Get access to the set of keywords.
const TableRecord & | keywordSet () const
const String & | name () const
| Get the name of the column.
DataType | dataType () const
| Get the data type of the column.
const String & | dataTypeId () const
| Get the type id for non-standard data types (i.e.
const String & | dataManagerType () const
| Get the type name of the default data manager.
String & | dataManagerType ()
| Get the type name of the default data manager.
const String & | dataManagerGroup () const
| Get the data manager group.
String & | dataManagerGroup ()
| Get the data manager group.
void | setDefaultDataManager (Bool always)
| Set the data manager type and group to the default.
const String & | comment () const
| Get comment string.
String & | comment ()
| Get comment string (allowing it to be changed).
Int | options () const
| Get the options.
Bool | isScalar () const
| Test if column is scalar, array or table.
Bool | isArray () const
Bool | isTable () const
Int | ndim () const
| Get the number of dimensions.
const IPosition & | shape () const
| Get the predefined shape.
void | setNdim (uInt ndim)
| Set the number of dimensions.
void | setShape (const IPosition &shape)
| Set the predefined shape.
void | setShape (const IPosition &shape, Bool directOption)
void | setOptions (Int options)
| Set the options to the given value.
uInt | maxLength () const
| Get the maximum value length.
void | setMaxLength (uInt maxLength)
| Set the maximum value length.
const TableDesc * | tableDesc () const
| Get table description (in case column contains subtables).
virtual TableDesc * | tableDesc ()
virtual BaseColumnDesc * | clone () const =0
| Clone a column description (creating a new column description object).
void | setName (const String &name)
| Set the name of the column (for a rename).

## Protected Member Functions

virtual void | putDesc (AipsIO &) const
| Put the object.
virtual void | getDesc (AipsIO &)
| Get the object.
Protected Member Functions inherited from casacore::BaseColumnDesc
BaseColumnDesc & | operator= (const BaseColumnDesc &)
| Assignment (copy semantics).
void | putFile (AipsIO &, const TableAttr &) const
| Put the object.
void | getFile (AipsIO &, const TableAttr &)
| Get the object.
RefColumn * | makeRefColumn (RefTable *, BaseColumn *) const
| Make a RefColumn object out of the description.
virtual ConcatColumn * | makeConcatColumn (ConcatTable *) const
| Make a ConcatColumn object out of the description.

## Additional Inherited Members

Protected Attributes inherited from casacore::BaseColumnDesc
String | colName_p
String | comment_p
String | dataManType_p
String | dataManGroup_p
DataType | dtype_p
String | dtypeId_p
Int | option_p
Int | nrdim_p
IPosition | shape_p
uInt | maxLength_p
TableRecord * | keySetPtr_p
Bool | isScalar_p
Bool | isArray_p
Bool | isTable_p

## Detailed Description

Abstract base class for description of table array columns

### Intended use:

Internal

### Review Status

Reviewed By:
  Gareth Hunt
Date Reviewed:
  94Nov17

### Prerequisite

- BaseColumnDesc (and its prerequisites)
- TableDesc

### Synopsis

This class contains the common functionality for the templated class ArrayColumnDesc which describes an array column.

Definition at line 61 of file ArrColDesc.h.

## Constructor & Destructor Documentation

## ArrayColumnDescBase() [1/2]

casacore::ArrayColumnDescBase::ArrayColumnDescBase | ( | const String & | name,
|  | const String & | comment,
|  | const String & | dataManagerType,
|  | const String & | dataManagerGroup,
|  | DataType | ,
|  | const String & | dataTypeId,
|  | Int | options,
|  | uInt | ndim,
|  | const IPosition & | shape )

Construct with given parameters.

References casacore::BaseColumnDesc::comment(), casacore::BaseColumnDesc::dataManagerGroup(), casacore::BaseColumnDesc::dataManagerType(), casacore::BaseColumnDesc::dataTypeId(), casacore::BaseColumnDesc::name(), casacore::BaseColumnDesc::ndim(), casacore::BaseColumnDesc::options(), and casacore::BaseColumnDesc::shape().

Referenced by ArrayColumnDescBase(), and operator=().

## ArrayColumnDescBase() [2/2]

casacore::ArrayColumnDescBase::ArrayColumnDescBase | ( | const ArrayColumnDescBase & |  | ) |

Copy constructor (copy semantics);.

References ArrayColumnDescBase().

## ~ArrayColumnDescBase()

casacore::ArrayColumnDescBase::~ArrayColumnDescBase | ( |  | ) |

## Member Function Documentation

## className()

String casacore::ArrayColumnDescBase::className | ( |  | ) | const

virtual

Get the name of this class.

It is used by the registration process. The template argument gets part of the name.

Implements casacore::BaseColumnDesc.

## getDesc()

virtual void casacore::ArrayColumnDescBase::getDesc | ( | AipsIO & |  | ) |

protected virtual

Get the object.

Implements casacore::BaseColumnDesc.

## makeColumn()

virtual PlainColumn * casacore::ArrayColumnDescBase::makeColumn | ( | ColumnSet * |  | ) | const

virtual

Create a Column object out of this.

This is used by class ColumnSet to construct a table column object.

Implements casacore::BaseColumnDesc.

## operator=()

ArrayColumnDescBase & casacore::ArrayColumnDescBase::operator= | ( | const ArrayColumnDescBase & |  | ) |

Assignment (copy semantics);.

References ArrayColumnDescBase().

## putDesc()

virtual void casacore::ArrayColumnDescBase::putDesc | ( | AipsIO & |  | ) | const

protected virtual

Put the object.

Implements casacore::BaseColumnDesc.

## show()

void casacore::ArrayColumnDescBase::show | ( | ostream & | os | ) | const

virtual

Show the column.

Implements casacore::BaseColumnDesc.

The documentation for this class was generated from the following file:

- tables/Tables/ArrColDesc.h